Package com.ocient.jdbc.proto

## Interface PlanProtocol.ColumnInfoOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ColumnInfo`, `PlanProtocol.ColumnInfo.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ColumnInfoOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`PlanProtocol.ColumnInfo.DecimalInfo` `getDecimalInfo()` `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`
`PlanProtocol.ColumnInfo.DecimalInfoOrBuilder` `getDecimalInfoOrBuilder()` `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`
`PlanProtocol.ColumnInfo.DefaultExprCase` `getDefaultExprCase()`
`String` `getDefaultExpression()` `string default_expression = 40;`
`com.google.protobuf.ByteString` `getDefaultExpressionBytes()` `string default_expression = 40;`
`PlanProtocol.ColumnInfo.ExtraMetadataCase` `getExtraMetadataCase()`
`boolean` `getIsCompressed()` `bool is_compressed = 1;`
`int` `getOrdinal()` `uint32 ordinal = 2;`
`boolean` `hasDecimalInfo()` `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getIsCompressed

    boolean getIsCompressed()

`bool is_compressed = 1;`

Returns:
  The isCompressed.

#### getOrdinal

    int getOrdinal()

`uint32 ordinal = 2;`

Returns:
  The ordinal.

#### hasDecimalInfo

    boolean hasDecimalInfo()

`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

Returns:
  Whether the decimalInfo field is set.

#### getDecimalInfo

    PlanProtocol.ColumnInfo.DecimalInfo getDecimalInfo()

`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

Returns:
  The decimalInfo.

#### getDecimalInfoOrBuilder

    PlanProtocol.ColumnInfo.DecimalInfoOrBuilder getDecimalInfoOrBuilder()

`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

#### getDefaultExpression

    String getDefaultExpression()

`string default_expression = 40;`

Returns:
  The defaultExpression.

#### getDefaultExpressionBytes

    com.google.protobuf.ByteString getDefaultExpressionBytes()

`string default_expression = 40;`

Returns:
  The bytes for defaultExpression.

#### getExtraMetadataCase

    PlanProtocol.ColumnInfo.ExtraMetadataCase getExtraMetadataCase()

#### getDefaultExprCase

    PlanProtocol.ColumnInfo.DefaultExprCase getDefaultExprCase()